notbugIf you buy from Amazon USA, please support us by using this link.
Port details
php56-gd The gd shared extension for php
5.6.39 graphics Deleted on this many watch lists=10 search for ports that depend on this port An older version of this port was marked as vulnerable. Find issues related to this port Report an issue related to this port
Deprecated DEPRECATED: Security Support ends on 31 Dec 2018
Expired This port expired on: 2019-01-01
Maintainer: ale@FreeBSD.org search for ports maintained by this maintainer
Port Added: 2014-09-04 14:24:51
Last Update: 2019-01-01 14:17:47
SVN Revision: 488895
License: PHP301
PHP, which stands for "PHP: Hypertext Preprocessor" is a widely-used Open
Source general-purpose scripting language that is especially suited for
Web development and can be embedded into HTML.  Its syntax draws upon C,
Java, and Perl, and is easy to learn.  The main goal of the language is to
allow web developers to write dynamically generated webpages quickly, but
you can do much more with PHP.

WWW: http://www.php.net/
SVNWeb : Homepage : PortsMon

There is no configure plist information for this port.

Dependency line: php56-gd>0:graphics/php56-gd


No installation instructions: this port has been deleted.

The package name of this deleted port was:

PKGNAME: php56-gd

There is no flavor information for this port.

distinfo:

TIMESTAMP = 1544448187
SHA256 (php-5.6.39.tar.xz) = 8147576001a832ff3d03cb2980caa2d6b584a10624f87ac459fcd3948c6e4a10
SIZE (php-5.6.39.tar.xz) = 12467096
SHA256 (php-5.5.x-mail-header.patch) = f510672c4bf2c228e4d8c7837e16a82169de82139dcf33fafce51e9e55a1b9ed
SIZE (php-5.5.x-mail-header.patch) = 4426


Master port: lang/php56

NOTE: FreshPorts displays only information on required and default dependencies. Optional dependencies are not covered.

Build dependencies:
  1. phpize : lang/php56
  2. autoconf>0 : devel/autoconf
  3. x11.pc : x11/libX11
  4. xpm.pc : x11/libXpm
Runtime dependencies:
  1. php.h : lang/php56
  2. x11.pc : x11/libX11
  3. xpm.pc : x11/libXpm
Library dependencies:
  1. libfreetype.so : print/freetype2
  2. libpng.so : graphics/png
  3. libjpeg.so : graphics/jpeg-turbo
  4. libt1.so : devel/t1lib
NOTE: dependencies for deleted ports are notoriously suspect

This port is required by:

for Run * - deleted ports are only shown under the This port is required by section. It was harder to do for the Required section. Perhaps later...
Configuration Options
===> The following configuration options are available for php56-gd-5.6.39:
     T1LIB=on: Include T1lib support
     TRUETYPE=on: Enable TrueType string function
     JIS=off: Enable JIS-mapped Japanese font support
     X11=on: Enable XPM support
     VPX=off: Enable VP8 codec support
===> Use 'make config' to modify these settings

USES:
tar:xz cpe php:ext,noflavors jpeg

Master Sites:
  1. http://br.php.net/distributions/
  2. http://cn.php.net/distributions/
  3. http://de.php.net/distributions/
  4. http://es.php.net/distributions/
  5. http://fr.php.net/distributions/
  6. http://it.php.net/distributions/
  7. http://jp.php.net/distributions/
  8. http://se.php.net/distributions/
  9. http://uk3.php.net/distributions/
  10. http://us2.php.net/distributions/
Port Moves
  • port moved to graphics/php72-gd on 2019-01-01
    REASON: Has expired: Security Support ends on 31 Dec 2018

Number of commits found: 14

Commit History - (may be incomplete: see SVNWeb link above for full details)
This is a slave port. You may also want to view the commits to the master port: lang/php56
DateByDescription
01 Jan 2019 14:17:47
Original commit files touched by this commit  5.6.39
Revision:488895
rene search for other commits by this committer
Remove expired php56- ports:
2019-01-01 net/php56-soap: Security Support ends on 31 Dec 2018
2019-01-01 net/php56-ldap: Security Support ends on 31 Dec 2018
2019-01-01 net/php56-xmlrpc: Security Support ends on 31 Dec 2018
2019-01-01 net/php56-sockets: Security Support ends on 31 Dec 2018
2019-01-01 textproc/php56-ctype: Security Support ends on 31 Dec 2018
2019-01-01 textproc/php56-xmlwriter: Security Support ends on 31 Dec 2018
2019-01-01 textproc/php56-xmlreader: Security Support ends on 31 Dec 2018
2019-01-01 textproc/php56-pspell: Security Support ends on 31 Dec 2018
2019-01-01 textproc/php56-dom: Security Support ends on 31 Dec 2018
2019-01-01 textproc/php56-xsl: Security Support ends on 31 Dec 2018
2019-01-01 textproc/php56-simplexml: Security Support ends on 31 Dec 2018
2019-01-01 textproc/php56-enchant: Security Support ends on 31 Dec 2018
2019-01-01 textproc/php56-wddx: Security Support ends on 31 Dec 2018
2019-01-01 textproc/php56-xml: Security Support ends on 31 Dec 2018
(Only the first 15 lines of the commit message are shown above View all of this commit message)
08 Apr 2018 06:59:57
Original commit files touched by this commit  5.6.35
Revision:466773
ale search for other commits by this committer
Update to 5.6.35 release.

PR:		227246
Submitted by:	Dani <i.dani@outlook.com>
25 Jan 2018 21:20:12
Original commit files touched by this commit  5.6.33_1
Revision:459963
jbeich search for other commits by this committer
multimedia/libvpx: update 1.7.0

Changes:	https://chromium.googlesource.com/webm/libvpx/+log/v1.6.1..v1.7.0
ABI:		https://abi-laboratory.pro/tracker/timeline/libvpx/
21 Oct 2016 09:02:18
Original commit files touched by this commit  5.6.27
Revision:424397
ale search for other commits by this committer
Update to 5.6.27 release.
30 Sep 2016 01:15:11
Original commit files touched by this commit  5.6.26_2
Revision:422956
jbeich search for other commits by this committer
multimedia/libvpx: update 1.6.0

ABI is incompatible... or not? SONAME has changed but the removed vp10
symbols weren't actually exposed (and still aren't).

Note, FreeBSD 9.x now builds with Clang 3.4 because GCC 4.2 fails:

  vp9/encoder/x86/vp9_frame_scale_ssse3.c: In function 'eight_tap_row_ssse3':
  vp9/encoder/x86/vp9_frame_scale_ssse3.c:93: internal compiler error: in
simplify_binary_operation_1, at simplify-rtx.c:2563
  Please submit a full bug report,
  with preprocessed source if appropriate.
  See <URL:http://gcc.gnu.org/bugs.html> for instructions.

Changes:	https://chromium.googlesource.com/webm/libvpx/+log/v1.5.0..v1.6.0
ACC
report:	https://people.freebsd.org/~jbeich/compat_reports/libvpx/1.5.0_to_1.6.0/compat_report.html
28 Sep 2016 08:20:47
Original commit files touched by this commit  5.6.26_1
Revision:422858
ale search for other commits by this committer
Fix integer overflow in gdImageWebpCtx and bump PORTREVISION.

PR:		213023
Submitted by:	Vladimir Krstulja <vlad-fbsd@acheronmedia.com>
23 Sep 2016 08:26:44
Original commit files touched by this commit  5.6.26
Revision:422652 This port version is marked as vulnerable.
tz search for other commits by this committer
lang/php56: Update from 5.6.25 to 5.6.26

Security:    CVE-2016-7416
Security:    CVE-2016-7412
Security:    CVE-2016-7414
Security:    CVE-2016-7417
Security:    CVE-2016-7411
Security:    CVE-2016-7413
Security:    CVE-2016-7418

MFH:         2016Q3
Approved by: swills (mentor)
30 Aug 2016 12:55:20
Original commit files touched by this commit  5.6.25
Revision:421112 This port version is marked as vulnerable.
tz search for other commits by this committer
lang/php56: Update from 5.6.24 to 5.6.25

PR:           212183
Submitted by: Kurt Jaeger <pi@FreeBSD.org>
Approved by:  pi (mentor)
03 Aug 2016 12:47:05
Original commit files touched by this commit  5.6.24_1
Revision:419514 This port version is marked as vulnerable.
mat search for other commits by this committer
Don't use extension.ini any more, and have each extension install in its
file, so the order remains the same.

Every PHP (or Zend) extension now installs its own .ini file in
/usr/local/etc/php.  A PHP extension will be automatically activated
when installed.  The order into which extensions are loaded is
automatically guessed.  In some very rare cases, the guess will be
wrong, and PHP_MOD_PRIO will need to be set.  Refer to the USES=php
section of the Porter's Handbook for more information.

Convert ports touching etc/php/extensions.ini manually, or telling the
OP to do it.

And finally, bump PORTREVISION for all php extensions.

PR:		210697
Submitted by:	mat
Sponsored by:	Absolight
Differential Revision:	https://reviews.freebsd.org/D7022
30 Nov 2015 14:05:47
Original commit files touched by this commit  5.6.16
Revision:402669 This port version is marked as vulnerable.
ale search for other commits by this committer
Update to 5.6.16 release.
14 Nov 2015 19:34:13
Original commit files touched by this commit  5.6.14_1
Revision:401587 This port version is marked as vulnerable.
jbeich search for other commits by this committer
multimedia/libvpx: update 1.5.0

ABI isn't compatible, so bump PORTREVISION in consumers.

Changes:	https://chromium.googlesource.com/webm/libvpx/+log/e67d45d..v1.5.0
ACC
report:	https://people.freebsd.org/~jbeich/compat_reports/libvpx/1.4.0.488_1_to_1.5.0/compat_report.html
PR:		204478
Exp-run by:	antoine
Approved by:	ashish (maintainer)
14 Jun 2015 20:23:10
Original commit files touched by this commit  5.6.10
Revision:389655 This port version is marked as vulnerable.
ale search for other commits by this committer
Update PHP ports:

- php5 to 5.4.42
- php55 to 5.5.26
- php56 to 5.6.10
09 Jun 2015 14:25:42
Original commit files touched by this commit  5.6.9_1
Revision:388940 This port version is marked as vulnerable.
jbeich search for other commits by this committer
multimedia/libvpx: update to 1.4.0

ABI isn't compatible, so bump PORTREVISION in consumers.

Changes:	https://chromium.googlesource.com/webm/libvpx/+/v1.4.0
Differential Revision:	https://reviews.freebsd.org/D2570
Exp-run by:	antoine
Approved by:	ashish, multimedia (kwm)
Approved by:	maintainer timeout (ale, dinoex; 2 weeks)
04 Sep 2014 14:24:26
Original commit files touched by this commit  5.6.0
Revision:367268 This port version is marked as vulnerable.
ale search for other commits by this committer
Import PHP 5.6 branch!

Number of commits found: 14

Login
User Login
Create account

Servers and bandwidth provided by
New York Internet, SuperNews, and RootBSD

This site
What is FreshPorts?
About the authors
Issues
FAQ
How big is it?
The latest upgrade!
Privacy
Forums
Blog
Contact

Search
Enter Keywords:
 
more...

Latest Vulnerabilities
joomla3Jan 20
drupal7Jan 19
drupal8Jan 19
helmJan 18
gitlab-ceJan 17
jenkinsJan 16
jenkins-ltsJan 16
py-matrix-synapseJan 15
irssiJan 10
giteaJan 06
uriparserJan 06
chromiumJan 05
chromiumJan 05
openjpeg*Jan 05
py-django111Jan 05

7 vulnerabilities affecting 48 ports have been reported in the past 14 days

* - modified, not new

All vulnerabilities

Last updated:
2019-01-22 12:32:49


Ports
Home
Categories
Deleted ports
Sanity Test Failures
Newsfeeds

Statistics
Graphs
NEW Graphs (Javascript)
Traffic

Calculated hourly:
Port count 36039
Broken 119
Deprecated 413
Ignore 333
Forbidden 3
Restricted 162
No CDROM 74
Vulnerable 34
Expired 5
Set to expire 386
Interactive 0
new 24 hours 7
new 48 hours9
new 7 days40
new fortnight68
new month165

Servers and bandwidth provided by
New York Internet, SuperNews, and RootBSD
Valid HTML, CSS, and RSS.
Copyright © 2000-2019 Dan Langille. All rights reserved.